package com.nisum.paymentvendorsimulator.creditcard.domain.dto;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.validation.constraints.NotBlank;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class CreditCardAddress {

  @NotBlank(message = "addressLine1 cannot be left blank")
  private String addressLine1;

  private String addressLine2;

  @NotBlank(message = "cityName cannot be left blank")
  private String cityName;

  private String countryCode;

  @NotBlank(message = "countryName cannot be left blank")
  private String countryName;

  @NotBlank(message = "postalCode cannot be left blank")
  private String postalCode;

}
