package com.nisum.paymentvendorsimulator.exceptions;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ErrorModel {

    @JsonProperty("developerMessage")
    private String developerMessage = null;

    @JsonProperty("userMessage")
    private String userMessage = null;

    @JsonProperty("errorCode")
    private Integer errorCode = null;

    @JsonProperty("moreInfo")
    private String moreInfo = null;

}
